/**
 * Basic styles
 */

 body {
   color: $text-color;
   
   background-color: $bg-grey;
 }

/**
 * Basic styles for links
 */

a {
  color: $brand-color;
  text-decoration: none;

  @include on-event {
    color: $text-color;
    text-decoration: underline;
  }
}

.btn,
a {
  transition: all 0.2s ease-in-out;
  -webkit-transition: all 0.2s ease-in-out;

  @include on-event {
    outline: 0;
    @include boxshadow(none);
  }
}

/**
 * Basic styles for input fields
 */
 input[type="email"],
 input[type="password"],
 input[type="text"] {
   -webkit-appearance: none;
   -moz-appearance: none;
   appearance: none;
   -webkit-focus-ring-color: none;
   outline: none;
 
   @include on-event {
     @include boxshadow(none);
   }
 }